wget_buffer(3)

NAME
wget_buffer

SYNOPSIS

  Data Fields
char * data
pointer to internal memory
size_t length
number of bytes in 'data'
size_t size
capacity of 'data' (terminating 0 byte doesn't count here)
bool release_data: 1
'data' has been malloc'ed and must be freed
bool release_buf: 1
wget_buffer structure has been malloc'ed and must be freed
bool error: 1
a memory failure occurred, the result in 'data' is likely erroneous

Author

Generated automatically by Doxygen for wget2 from the source code.